Last Comment Bug 732382 - Save As PDF freezes the application
: Save As PDF freezes the application
Status: RESOLVED FIXED
[fennec 11.0b5][fennec 12.0b5]
: hang, regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 12
: ARM Android
: -- critical (vote)
: Firefox 14
Assigned To: :Margaret Leibovic
:
:
Mentors:
: 739053 (view as bug list)
Depends on:
Blocks: 704691
  Show dependency treegraph
 
Reported: 2012-03-02 05:01 PST by Andreea Pod
Modified: 2013-12-10 10:00 PST (History)
12 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
log (25.81 KB, text/plain)
2012-03-02 05:01 PST, Andreea Pod
no flags Details
patch (1.54 KB, patch)
2012-04-19 16:03 PDT, :Margaret Leibovic
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta-
mark.finkle: approval‑mozilla‑central+
Details | Diff | Splinter Review

Description Andreea Pod 2012-03-02 05:01:51 PST
Created attachment 602316 [details]
log

Mozilla/5.0 (Android; Linux armv7l;rv:11.0) Gecko/11.0 Firefox/11.0 Fennec/11.0  (29-02-2012)
Device: Asus EEE Transformers (Android 3.1)

Steps to reproduce:
1. go to about:blank
2. tap on menu and chose Save As PDF

Expected results:
- a white blank page should be saved and the application should work properly 

Actual results:
- Fennec freezes after saving the page.

Note: 
- sometimes the application is not responding even after kill.
Comment 1 Ioana Chiorean 2012-04-12 06:58:15 PDT
This also reproduces on normal pages like nytimes.com so it's not related to about:blank only.
Comment 2 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-04-13 05:46:36 PDT
I'm seeing this in current Fenne12b too, so setting status-firefox12 to affected.

Fwiw, this makes 'Save As PDF' unusable for me and causes Fennec to hang so shouldn't this block XUL Fennec?
Comment 3 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-04-13 05:50:50 PDT
I'm not seeing this hang in Fennec 10, we should find a regression range for this bug.
Comment 4 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-04-13 06:37:23 PDT
20111130 11.0a1 build is hanging.
20111115 11.0a1 build is not hanging (bug shows bug 704185)
Comment 5 Aaron Train [:aaronmt] 2012-04-13 08:09:28 PDT
Using 12.0b4 (on Google Play) as well as 12.0b5 (current testing candidate, build #1), I am unable to reproduce this on a Galaxy Nexus (Android 4.0.4), nor having tested on a Galaxy SII (Android 2.3.4). I used cnn.com and nytimes.com.
Comment 6 Aaron Train [:aaronmt] 2012-04-13 08:15:19 PDT
Ok scratch that, I do see it; it happened on a second attempt this time at bbc.co.uk,

E/ActivityManager(  192): ANR in org.mozilla.firefox_beta (org.mozilla.firefox_beta/.App)
E/ActivityManager(  192): Reason: keyDispatchingTimedOut
E/ActivityManager(  192): Load: 1.03 / 0.78 / 0.4
E/ActivityManager(  192): CPU usage from 5631ms to 0ms ago:
E/ActivityManager(  192):   99% 3911/org.mozilla.firefox_beta: 56% user + 43% kernel

"Firefox Beta is not responding"
Comment 7 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-04-13 08:49:49 PDT
20111129 11.0a1 build is not hanging
http://hg.mozilla.org/mozilla-central/rev/bc48009a6bbb

20111130 11.0a1 build is hanging
http://hg.mozilla.org/mozilla-central/rev/cc94a16983b0

http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2011-11-28+10%3A00%3A00&enddate=2011-11-30+03%3A00%3A00

Could this be a regression from bug 704691?
Comment 8 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-04-13 10:01:03 PDT
Andreea, could you perhaps also check if the regression range in comment 7 is correct?
Comment 9 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-04-17 01:44:43 PDT
Margaret, this is a regression in XUL Fennec that is causing hangs when using Save As PDF. Do you know if the fix for bug 704691 could be causing this?
Comment 10 Andreea Pod 2012-04-17 06:51:02 PDT
Yes Martijn, I checked and it is correct.
Comment 11 :Margaret Leibovic 2012-04-17 08:31:36 PDT
(In reply to Martijn Wargers [:mw22] (QA - IRC nick: mw22) from comment #9)
> Margaret, this is a regression in XUL Fennec that is causing hangs when
> using Save As PDF. Do you know if the fix for bug 704691 could be causing
> this?

That seems like the likely culprit. So this isn't a problem in fennec native? We changed the fennec native code that depends on the changes from bug bug 704691 in bug 701797, so maybe we need to port the changes from bug 701797 to XUL fennec.
Comment 12 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-04-17 08:34:40 PDT
No, this is not a problem in Fennec Native.
Comment 13 :Margaret Leibovic 2012-04-19 16:03:42 PDT
Created attachment 616786 [details] [diff] [review]
patch

The problem is that bug 704691 added another STATE_STOP call to nsPrintData:: DoOnProgressChange, and since we didn't specify the type to listen for in the print listener, we were sending the "Browser:SaveAs:Return" message twice, which ran into problems the second time that message handler was called.
Comment 14 :Margaret Leibovic 2012-04-19 16:47:49 PDT
Comment on attachment 616786 [details] [diff] [review]
patch

This only affects XUL fennec. Very low risk and fixes a serious problem with the "Save As PDF" feature.

This was a regression caused by bug 704691, which landed for Firefox 11, so this problem is currently in the released version of XUL fennec. Are we planning on releasing another version of XUL fennec? Should I uplift this to aurora/beta?
Comment 15 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-19 16:51:13 PDT
Comment on attachment 616786 [details] [diff] [review]
patch

[Approval Request Comment]
Regression: Yes
User impact if declined: Browser hangs
Testing completed (on m-c, etc.): -
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: None
Comment 18 Alex Keybl [:akeybl] 2012-04-20 15:19:00 PDT
Comment on attachment 616786 [details] [diff] [review]
patch

[Triage Comment]
Approved for Aurora 13, but denying for Beta 12 since we're not shipping a release product off of that branch currently.
Comment 19 :Margaret Leibovic 2012-04-20 17:05:58 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/811e3bdaf749

I hope I did these status flags correctly.
Comment 20 :Margaret Leibovic 2012-05-03 09:11:12 PDT
*** Bug 739053 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.